Rootserver Sponsor

webtropia"

Donations

Please support your operating system's further development:

donate"

Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Author Message
alexkOffline
Post subject: RE: Re: RE: Various windows based problems  PostPosted: 23.07.2015, 02:24



Joined: 2010-10-01
Posts: 288

Status: Offline
I can't run the special dist-upgrade, get dependency problems with plasma-desktop:
      Code:
# apt-get dist-upgrade --purge kio-extras+ kde-baseapps+ kio+ kwin-x11+ plasma-desktop+ fonts-oxygen+ kde-config-gtk-style+ kde-config-sddm+ kde-style-oxygen-qt5+ khelpcenter+ khotkeys+ kinfocenter+ kio-extras+ kmenuedit+ kscreen+ ksshaskpass+ ksysguard+ kwrited+ systemsettings+ plasma-workspace+  kde-window-manager- klipper- kactivities+ libkactivities-bin- libkf5config-bin+ libkf5dbusaddons-bin+ libkf5emoticons-bin+ libkf5filemetadata-bin+ libkf5iconthemes-bin+ libkf5kdelibs4support5-bin+ libkf5khtml-bin+ libkf5parts-plugins+ libkf5su-bin+ libkf5wallet-bin+ libkf5xmlgui-bin+ libqt5sql5-sqlite+ kdm- sddm+
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... kde-baseapps is already the newest version.
kde-config-gtk-style is already the newest version.
khelpcenter is already the newest version.
khelpcenter set to manually installed.
kinfocenter is already the newest version.
kmenuedit is already the newest version.
kscreen is already the newest version.
kscreen set to manually installed.
ksysguard is already the newest version.
kwin-x11 is already the newest version.
kwin-x11 set to manually installed.
systemsettings is already the newest version.
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 plasma-desktop : Depends: plasma-desktop-data (= 4:5.3.2-1) but it is not going to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.

# wajig list-hold
#

# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  plasma-desktop python-aptdaemon python-aptdaemon.gtk3widgets
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.

I'm running e17 at the moment.
 
 View user's profile Send private message Yahoo Messenger  
Reply with quote Back to top
nsmOffline
Post subject: RE: Re: RE: Various windows based problems  PostPosted: 31.07.2015, 03:33



Joined: 2012-03-14
Posts: 17
Location: montreal
Status: Offline
Same here.

Running apt-get -d dist-upgrade, I see packages kept-back.
      Code:

The following packages have been kept back:
  aptosid-art-kdm-ponos kde-plasma-desktop plasma-desktop

Trying to run the special dist-upgrade dance from slh I get
      Code:

The following packages have unmet dependencies:
 plasma-desktop : Depends: plasma-desktop-data (= 4:5.3.2-1) but it is not going to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.

Any suggestion?
Thanks
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
slhOffline
Post subject: RE: Re: RE: Various windows based problems  PostPosted: 31.07.2015, 04:33



Joined: 2010-08-25
Posts: 962

Status: Offline
add the following at the end of the special dist-upgrade command (with a space in front):

plasma-desktop-data+

that might still fail, but it'll give you further debug info where the dependency resolver needs some more assistance (please report back). Success or failure depends on which packages are installed on your system, so depending on that (the whole dependency graph of your system) it might need to be refined. Also make sure to run apt-get update again, as the current version of plasma-desktop-data in unstable is 4:5.3.2-2 and no longer 4:5.3.2-1.
 
 View user's profile Send private message  
Reply with quote Back to top
slhOffline
Post subject: RE: Re: RE: Various windows based problems  PostPosted: 31.07.2015, 19:47



Joined: 2010-08-25
Posts: 962

Status: Offline
Be aware that the gcc5 transition has been started today. This means C++ applications, to a varying degree, are affected by ABI changes; KDE as a whole is affected significantly and essential parts will be removed in a careless upgrade. Give it a couple of days to adapt.
 
 View user's profile Send private message  
Reply with quote Back to top
nsmOffline
Post subject: RE: Re: RE: Various windows based problems  PostPosted: 01.08.2015, 00:53



Joined: 2012-03-14
Posts: 17
Location: montreal
Status: Offline
@slh
Cannot report back on your suggestion to add plasma-desktop-data+ at the end of the special dist-upgrade command since the transition to gcc5 has begun and as you predicted, a lot of packages are to be removed. I will have to wait a few days.
Thanks
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
vinurOffline
Post subject: RE: Re: RE: Various windows based problems  PostPosted: 02.08.2015, 07:48



Joined: 2010-09-11
Posts: 83
Location: Lake Oswego
Status: Offline
I have upgraded several times during the week... until the newest warnings from slh.
just wanted to say that my experience has actually been OK.
Currently my plasma-desktop-data is 4:5.3.2-2.
most of the desktop is very usable, if not a perfectly smooth system and there are some aspects which are not as normal.
application switching is not by Ctrl+Alt+Tab yet but the mouse wheel does it as normal between virtual desktops.
I can live with this as i just adapt to what is working and find work arounds for what is not.
It really is not as painful as I though it would be. Sound is good, videos function both on line and that which I downloaded of a number of types. My web creation tools work: Fully loaded with all the extensions of Blue Griffon 1.7.2 works
Even Google Earth 7.1 is functional but not perfectly stable, although by reputation and history in Debian it should not work at all. neither of those applications are actually supported but I did get GE7.x to work with some tricky help from a variety of sources. What is nice is that through this transition almost anything that I needed to get done has had success.
As of tonight as per the warnings I am not doing any upgrades beyond what I have done a couple of days ago.
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
nsmOffline
Post subject: RE: Re: RE: Various windows based problems  PostPosted: 03.08.2015, 15:23



Joined: 2012-03-14
Posts: 17
Location: montreal
Status: Offline
As of today, du still out of reach:
yesterday: 31 packages to remove
today: 61 packages to remove.

I have been lucky to use such a nice distribution as aptosid (and sidux before) for many years; so, let's wait for the storm to vanish.
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
alexkOffline
Post subject: RE: Re: RE: Various windows based problems  PostPosted: 04.08.2015, 03:16



Joined: 2010-10-01
Posts: 288

Status: Offline
Here, 76 currently.
      Code:
150 upgraded, 19 newly installed, 76 to remove and 3 not upgraded.
 
 View user's profile Send private message Yahoo Messenger  
Reply with quote Back to top
alexkOffline
Post subject: RE: Re: RE: Various windows based problems  PostPosted: 06.08.2015, 02:29



Joined: 2010-10-01
Posts: 288

Status: Offline
Every day, more packages to upgrade and to remove. Need to be patient. Besides KDE parts, packages to remove include apps like amarok, audacity, blender, blogilo, clementine, digikam and libreoffice.
      Code:
278 upgraded, 27 newly installed, 99 to remove and 6 not upgraded.
 
 View user's profile Send private message Yahoo Messenger  
Reply with quote Back to top
slhOffline
Post subject: RE: Re: RE: Various windows based problems  PostPosted: 06.08.2015, 10:01



Joined: 2010-08-25
Posts: 962

Status: Offline
It gets worse, much worse, before it can get better. The gcc-5 transition, which changes ABI for many C++ based packages, needs to be done in 22 stages (and several packages entangled in circular dependency chains). The more of the lower stages are completed, the worse it gets for packages in the upper stages. Unfortunately especially high-profile packages like libreoffice and KDE depend on many other lower level packages (mostly libraries), so they're among the first to break - and the last to get fixed.
 
 View user's profile Send private message  
Reply with quote Back to top
vinurOffline
Post subject: RE: Re: RE: Various windows based problems  PostPosted: 11.08.2015, 21:29



Joined: 2010-09-11
Posts: 83
Location: Lake Oswego
Status: Offline
Nothing specifically new to report, except for reasons difficult to describe system latency issues are progressively worse. Login to KDE plasma 5 is taking longer, so much so I am on a backup system now, Just waiting for some word. Don't upgrade anything yet, would be my cautious approach.
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
alexkOffline
Post subject: RE: Re: RE: Various windows based problems  PostPosted: 12.08.2015, 03:29



Joined: 2010-10-01
Posts: 288

Status: Offline
I had latency issues as well in Plasma 5. I've been happily using e17 in the meantime, which is my backup environment. I recently had over 200 packages to remove on dist-upgrade, now only 110, so maybe that's progress. Smile
 
 View user's profile Send private message Yahoo Messenger  
Reply with quote Back to top
Luis_POffline
Post subject: d-u wtih no problems  PostPosted: 14.08.2015, 13:32



Joined: 2010-09-11
Posts: 171
Location: Barcelona, Spain
Status: Offline
I've run d-u today without problems. (Desktop is not KDE but Xfce).

      Code:
$ infobash -v3
Host/Kernel/OS  "aptosidbox1" running Linux 4.1.0-5.slh.1-aptosid-amd64 x86_64 [ aptosid 2011-03 Πόνος - xfce - (201112312100) ]
CPU Info        2x AMD Athlon II X2 250 1024 KB cache flags( sse3 ht nx lm svm ) clocked at [ 1800.000 MHz ]
Videocard       Advanced Micro Devices, [AMD/ATI] RV730 PRO [Radeon HD 4650]  X.Org 1.17.2  [ 1280x1024@60.02hz ]
Network cards   Realtek RTL-8100/8101L/8139 PCI Fast
                NVIDIA MCP77
Processes 153 | Uptime 15min | Memory 428.8/2006.0MB | HDD Maxtor 6Y080L0,ST3250318AS Size 332GB (14%used) | GLX Renderer Gallium 0.4 on AMD RV730 | GLX Version Yes | Client Shell | Infobash v3.49


Regards
 
 View user's profile Send private message  
Reply with quote Back to top
alexkOffline
Post subject: RE: d-u wtih no problems  PostPosted: 14.08.2015, 15:40



Joined: 2010-10-01
Posts: 288

Status: Offline
Still waiting here, with KDE:
      Code:
The following packages will be REMOVED:
  adept akonadiconsole akregator audacity backintime-kde baloo-utils baloo4 blender blogilo digikam
  digikam-private-libs dolphin gdebi-kde inkscape kaddressbook kalarm kdegraphics-strigi-analyzer
  kdenetwork kdepim-kresources kdepim-runtime kdesdk-strigi-plugins kgpg kipi-plugins kjots kleopatra
  kmail kmymoney knode knotes konsolekalendar kontact konversation kopete korganizer krename krfb
  libasprintf0c2 libbaloowidgets4 libboost-date-time1.55.0 libcalendarsupport4 libcmis-0.5-5 libcwidget3
  libebml4 libept1.4.12 libeventviews4 libffado-dev libffado2 libflac++6 libglibmm-2.4-1c2a
  libgltf-0.0-0 libincidenceeditorsng4 libjsoncpp0 libkdepim4 libkdepimdbusinterfaces4
  libkf5filemetadata-bin libkfilemetadata4 libkolab0 libkolabxml1 libkopete4 libkpeople4 libksieveui4
  libktpcommoninternalsprivate8 libktpmodelsprivate8 libktpwidgetsprivate8 libmailcommon4
  libmailimporter4 libmatroska6 libmessagecomposer4 libmessagecore4 libmessagelist4 libmessageviewer4
  libnoteshared4 liborcus-0.10-0 libpcrecpp0 libpimcommon4 libprojectm2 libprotobuf9 libproxy1 libqpdf13
  libreoffice-style-crystal libsidplay1 libsigc++-2.0-0c2a libsigc++-2.0-0c2a:i386 libstreamanalyzer0
  libstreams0 libstrigihtmlgui0 libtag1-vanilla libtag1c2a libtemplateparser4 libxapian22 packagesearch
  plasma-dataengines-workspace plasma-scriptengine-python plasma-widgets-workspace python-kde4
  python3-pykde4 showfoto sozi strigi-client

512 upgraded, 47 newly installed, 99 to remove and 4 not upgraded.
 
 View user's profile Send private message Yahoo Messenger  
Reply with quote Back to top
vinurOffline
Post subject: RE: d-u wtih no problems  PostPosted: 15.08.2015, 02:59



Joined: 2010-09-11
Posts: 83
Location: Lake Oswego
Status: Offline
Something of a status report, Although I did not D-U, I read the list.
It was 295 to remove, 17 new and 295 to upgrade.
It was coincedental, I think, on the numbers as it seemed like it was a different list to upgrade than to remove.

So I did not do it. I was just looking.
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 12 Hours
Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Powered by Zafenio